// For authoring Nightwatch tests, see
// http://nightwatchjs.org/guide#usage

//testcase name：参数查询
//author：feizhao
//date：2017-11-17
//discription：用于测试登陆后，综合业务-参数管理的页面参数查询
//step：1.登录主页面  2.查询参数
//修改人：
//修改日期：
//修改内容：

//Account setting.
const accountConfig = {
  username: '1',
  password: '1',
}
 module.exports = {
   'login tests': function (browser) {
     browser
     .url('http://127.0.0.1:8080').maximizeWindow()
     .pause(1000)
     .waitForElementVisible('body', 100)
     .setValue('input[type=text]',accountConfig.username)
     .pause(100)
     .setValue('input[type=password]',accountConfig.password)
     .pause(100)
     .click('button[id=login-button]')
     .pause(1000)
//点击综合业务-参数管理-参数查询
     .click('#vc-tree-name-综合业务')
     .pause(1000)
     .click('#vc-tree-name-参数管理')
     .pause(3000)
     .setValue('#unit :first-child div :nth-child(2) input[placeholder=请输入查找的参数名]','用户状态')
     .pause(1000)
     .click('#unit :first-child div :nth-child(2) button')
     .pause(3000)
     .end();
   }
 }
